Subject: Re: [QUESTION] BPF kernel selftests failed in the LTS stable kernel 4.19.x

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 27 May 2021 10:37:12 +0200

On Thu, May 27, 2021 at 04:18:15PM +0800, Tiezhu Yang wrote:
> On 05/27/2021 12:24 PM, Greg Kroah-Hartman wrote:
> > On Thu, May 27, 2021 at 10:27:51AM +0800, Tiezhu Yang wrote:
> > > Hi all,
> > > 
> > > When update the following LTS stable kernel 4.19.x,
> > > https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/log/?h=linux-4.19.y
> > > 
> > > and then run BPF selftests according to
> > > https://www.kernel.org/doc/html/latest/bpf/bpf_devel_QA.html#q-how-to-run-bpf-selftests
> > > 
> > > $ cd tools/testing/selftests/bpf/
> > > $ make
> > > $ sudo ./test_verifier
> > > $ sudo make run_tests
> > > 
> > > there exists many failures include verifier tests and run_tests,
> > > (1) is it necessary to make sure that there are no any failures in the LTS
> > > stable kernel 4.19.x?
> > Yes, it would be nice if that did not happen.
> > 
> > > (2) if yes, how to fix these failures in the LTS stable kernel 4.19.x?
> > Can you find the offending commits by using `git bisect` and find the
> > upstream commits that resolve this and let us know so we can backport
> > them?
> > 
> > thanks,
> > 
> > greg k-h
> 
> I compared the related code in 4.19.y and upstream mainline, some failures
> disappeared after add ".flags = F_NEEDS_EFFICIENT_UNALIGNED_ACCESS,", but
> other failures still exist, and I didn't have enough in-depth knowledge to
> touch things elsewhere.
> 
> The failures can be easily reproduced, I would greatly appreciate it if
> anyone
> is interested to fix them.

Sounds like you are interested, why not work on this instead of waiting
for someone else?  It's not like many people are interested in 4.19 at
this point in time.

good luck!

greg k-h